Fix Plans
https://app.fossa.com/api/revisions/{locator}/report/remediation-guidanceReturns the Remediation Guidance report for a given revision
Path parameters
locatorstringrequiredQuery parameters
previewbooleanWhether to preview the report (default is false)
formatenumWhat format to return the report in (default is PDF)
HTMLPDFJSONbundlebooleanWhether to bundle the report with json file and return as a zip (default is false)
excludeQuickWinsbooleanWhether to exclude Quick Wins section (default is false)
excludeHighPrioritybooleanWhether to exclude High Priority section (default is false)
excludeLowPrioritybooleanWhether to exclude Low Priority section (default is false)
excludeOutdatedDependenciesbooleanWhether to exclude Outdated Dependencies section (default is false)
demobooleanWhether to generate the report in demo mode (default is false)
includeTransitiveVulnsbooleanWhether to include transitive vulnerabilities (default is false)
deduplicateOutdatedDepsbooleanWhether to deduplicate outdated dependencies (default is false)
includeMalwarebooleanWhether to include malware findings (default is false). Only takes effect when the organization has the malware-issues feature enabled.
Responses
200OK400BadRequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden. Returned when the organization is below the Premium subscription level (a
`ForbiddenError`), or when the organization does not have Security enabled (a
`FeatureAccessRestrictedError`).
uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/revisions/%7Blocator%7D/report/remediation-guidancecurl --request GET \ --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/report/remediation-guidance' \ --header 'accept: application/json'Real request. Mutating methods can change data.
Path params
locatorstringrequiredQuery params
previewbooleanWhether to preview the report (default is false)
formatenumWhat format to return the report in (default is PDF)
bundlebooleanWhether to bundle the report with json file and return as a zip (default is false)
excludeQuickWinsbooleanWhether to exclude Quick Wins section (default is false)
excludeHighPrioritybooleanWhether to exclude High Priority section (default is false)
excludeLowPrioritybooleanWhether to exclude Low Priority section (default is false)
excludeOutdatedDependenciesbooleanWhether to exclude Outdated Dependencies section (default is false)
demobooleanWhether to generate the report in demo mode (default is false)
includeTransitiveVulnsbooleanWhether to include transitive vulnerabilities (default is false)
deduplicateOutdatedDepsbooleanWhether to deduplicate outdated dependencies (default is false)
includeMalwarebooleanWhether to include malware findings (default is false). Only takes effect when the organization has the malware-issues feature enabled.